> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update base form

> Update the base application form



## OpenAPI

````yaml put /v1.0/{company_id}/forms/application/default
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/forms/application/default:
    put:
      tags:
        - JobForms
      operationId: JobForms_UpdateDefaultForm
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
      requestBody:
        x-name: form
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DefaultFormOptionDto'
        required: true
        x-position: 2
      responses:
        '204':
          description: ''
components:
  schemas:
    DefaultFormOptionDto:
      type: object
      additionalProperties: false
      properties:
        current_title:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        current_company:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        location:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        phone:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        resume:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        cover_letter:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
    JobFieldStatusEnum:
      type: string
      description: ''
      x-enumNames:
        - 'Off'
        - Optional
        - Required
      enum:
        - 'off'
        - optional
        - required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````